1. Начало
  2. Технология

Технология

Един PAdES подпис, два слоя, едно правило за приемане.

Perennis запазва класическия подпис точно такъв, какъвто доверяващите се страни го очакват, и добавя постквантов подпис, който те могат да изискват. Тук описваме какво влиза във файла, как двата слоя се обвързват и как се валидират.

Какво има в подписания PDF

PAdES подписът подписва байтовете, посочени от /ByteRange: целия файл без празнината /Contents, в която стои самият подпис. Perennis поставя два подписа над едни и същи байтове.

  • Класическият слой. Стандартен CMS SignerInfo с ECDSA P-256 подпис, подписаните атрибути messageDigest и signingCertificateV2 и веригата сертификати на подписващия. Това е подписът, който всеки използван днес валидатор вече чете.
  • Постквантовият слой. Пълен CMS SignedData с ML-DSA-65 подпис (FIPS 204), кодиран по RFC 9882 и изчислен над същите байтове на документа. Той е в неподписаните атрибути на класическия SignerInfo, мястото, което RFC 5652 §5.3 определя за атрибути извън обхвата на подписа.
  • Обвързването. Подписан атрибут в постквантовия слой го свързва с тази стойност на класическия подпис и с този сертификат на подписващия. Слой, копиран от друг подпис или върху друг документ, не минава тази проверка.

Защо в неподписаните атрибути

Заради обратната съвместимост. Постквантовият подпис е там, където класическият валидатор не е длъжен да го обработва, и затова присъдата на непроменен валидатор за класическия подпис остава същата. При доверен издаващ CA непроменен EU DSS 6.3 отчита подписания документ като TOTAL_PASSED, PAdES-BASELINE-LTA.

Цената на това място е пропастта, която продуктът затваря: валидатор, който може да подмине атрибута, няма да забележи и когато той липсва. Решението не е подписът да се премести, а доверяващите се страни да получат валидатор, който го изисква.

ETSI TS 119 312 V2.1.1 описва такава конструкция в т. 6.4.2 a): two independent signature primitives computed and verified separately over the same message data (два независими подписа, изчислени и проверявани поотделно над едни и същи данни). Бележката към клаузата оставя изискванията за кодиране и оперативна съвместимост на профилни стандарти, които тепърва ще бъдат написани.

Как се валидира

Валидирането се съчетава, не се заменя. Класическият слой остава при валидатора, на който вече имате доверие, например EU DSS. Валидаторът Perennis проверява постквантовия слой:

  1. Постквантовият слой е наличен и коректно структуриран.
  2. ML-DSA-65 подписът се проверява над байтовете на документа, като параметрите на алгоритъма се сверяват със сертификата.
  3. Постквантовият сертификат води до доверен постквантов CA и не е отменен.
  4. Атрибутът за обвързване съответства на този класически подпис и на този сертификат.
  5. Постквантовият времеви печат, ако има такъв, е валиден и покрива подписа.

При хибридна политика за валидиране документът се приема само когато и двата слоя минат, по правилото за приемане на TS 119 312 V2.1.1 т. 6.4.1. Липсващ, променен или пренесен слой дава отрицателна присъда, която назовава проверката, която не е минала. При поискване резултатът се връща и като доклад по ETSI TS 119 102-2.

Постквантови времеви печати

Дълготрайният подпис зависи от времевите си печати толкова, колкото и от самия подпис. До класическия TSA по RFC 3161 платформата има постквантов модул за времеви печати, който подписва със SLH-DSA-SHA2-192s (FIPS 205, в CMS по RFC 9814). Това е семейството, основано на хеш функции, което TS 119 312 V2.1.1 посочва за времеви печати в Таблица 3.3. Таблица A.9 гласи, че публичните ключове на TSU should support SLH-DSA, XMSS or LMS.

Платформата около него

Хибридният слой се създава в пълна услуга за подписване, така че пилотът изпитва цялата верига, а не демонстрационен скрипт.

СамоличностПроверка на самоличността

Документ за самоличност и селфи, прегледани от оператор преди издаването на сертификат.

СъгласиеSCAL2 с passkeys

Подписващият разрешава всеки подпис с WebAuthn passkey.

PKIДве йерархии сертификати

Отделни класически и постквантови удостоверяващи органи.

ВремеВремеви печати по RFC 3161

Класически TSA и постквантов TSU, който подписва със SLH-DSA (FIPS 205).

СтатусCRL и OCSP

Публикуван статус на сертификатите, издадени на подписващите.

АрхивPAdES-BASELINE-LTA

Данни за дългосрочно валидиране и архивни печати в самия PDF.

УвереностТестове с известни отговори на NIST

Проверката на ML-DSA и SLH-DSA се сверява с векторите на NIST ACVP при всяка компилация.

ДокладДоклад по ETSI

При поискване присъдата идва с доклад във формата на ETSI TS 119 102-2.

Интеграция

Как се вписва в съществуващ PAdES процес.

ПОДПИСВАНЕ

Слоят се добавя при подписване

Постквантовият слой се добавя там, където услугата ви сглобява CMS подписа: след като класическият подпис е готов и преди PDF-ът да бъде финализиран. Класическите ви ключове, сертификати и профил не се променят.

КЛЮЧОВЕ

Постквантови ключове и сертификати

Всеки подписващ получава ML-DSA-65 ключ и сертификат от постквантов CA, отделен от класическия. В пилот те са наши, а в продукция са ваши.

ВАЛИДИРАНЕ

Валидиране до EU DSS

Доверяващите се страни запазват класическия си валидатор и извикват валидатора Perennis за постквантовия слой, по политика, която сами избират.

Техническа среща · 30 минути

Вижте пропастта върху истински подписан документ.

Сесия на живо с продукционната платформа: вземаме подписан през нея документ, подправяме го по три начина и показваме какво казва вашият валидатор до това, което казва Perennis. След това разглеждаме как слоят влиза във вашия PAdES процес.

Или пишете директно: rumen@perennistrust.eu

  1. 0–5 minКъде е постквантовата пропаст във вашата система
  2. 5–20 minПодписан документ, три подправяния, двете присъди
  3. 20–30 minПът за интеграция и план за пилот